Bug 210870 - RFE: Provide meaningful error messages on fpo (eg. 404 one)
RFE: Provide meaningful error messages on fpo (eg. 404 one)
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: docs-requests (Show other bugs)
devel
All All
low Severity low
: ---
: ---
Assigned To: Fedora Websites Team
Karsten Wade
http://fedoraproject.org/Core/Schedule
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-16 09:30 EDT by Dimitris Glezos
Modified: 2014-01-21 18:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-31 09:57:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitris Glezos 2006-10-16 09:30:20 EDT
## Description of problem:

It is often that people type a wiki URL without including the word "wiki". It
would be great if we provided a better 404 error, like for example for the
following page: http://fedoraproject.org/Core/Schedule.

## Expected results:

A good error page should include an explanation, probably a link to what the
user might wanted originally, links to the search page and a little map with
possible starting points. Example: http://www.redhat.com/foo

So, especially now that we only have the wiki, it would be great if we could say
"Error 404. Did you actually mean http://fedoraproject.org/*wiki*//Core/Schedule?

## Additional info:

I'm not sure if I saw this bug somewhere else. Searched but didn't find anything.
Comment 1 Patrick Barnes 2006-10-21 01:40:00 EDT
I would imagine that this could be accomplished in the Apache configuration of 
the fedoraproject.org server by pointing to a relatively simple error page.
Comment 2 Piotr Drąg 2009-07-31 09:57:26 EDT
I'm quite sure it has got fixed some time ago. :)
Comment 3 eric@christensenplace.us 2009-08-05 14:42:56 EDT
Tickets move to docs-request so the fedora-websites component can be removed per request from Ricky.

Note You need to log in before you can comment on or make changes to this bug.